#version 430 core

in vec4 P;

uniform vec3 lightPosition;
uniform float farPlane;

void main(void)
{
	float d = distance(P.xyz, lightPosition);
	d = (d - .01f )/ (farPlane - .01f);
	gl_FragDepth = d;
}